List all the nearby vehicles (as per the specified location)

Purpose: Use this API to fetch a list of all the vehicles that are nearby to your specified location. For example, if you have a pickup at Walnut Creek, and want to know which are vehicles are available for a service, then this API will fetch all the nearby vehicles to Walnut Creek as well as their details and the current location.

require 'uri'
require 'net/http'

url = URI('https://api.gomotive.com/v1/freight_visibility/vehicle_association')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"

response = http.request(request)
puts response.read_body
Query Params
int32

Specify the ID of the company as assigned by Motive.

int32

Specify the ID provided by the Department of Transportation, if you do not have the company_id.

float

Specify the latitude of the location from where you want to check the nearby available vehicles.

float

Specify the longitude of the location from where you are checking the nearby vehicles for service.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json